Subject: Re: FVWM: focus and raise? (fwd)

From: Adam Tla/lka <[email-masked]>
Date: Fri, 12 Mar 1999 09:48:00 +0100 (MET)

Talking about Alt_Tab functions:
I wanted to switch between pages on my screen and get activated last
active window on that page. Also I wanted Alt_Tab and Alt_ShiftTab keys
to work only within current page without messing with order of windows
placed not on acive page/desk. Module FvwmButtons is placed on every page.

Below is my solution:

AddToFunc RaiseFocus            "I" Raise
+                               "I" Focus

AddToFunc RaiseFlip             "I" Raise
+                               "I" FlipFocus

AddToFunc NextFlip "I" Next (CurrentDesk CurrentPage !Iconic) RaiseFlip

AddToFunc PrevFlip "I" Prev (CurrentDesk CurrentPage !Iconic) FlipFocus
+                  "I" Prev (CurrentDesk CurrentPage !Iconic) FlipFocus
+                  "I" Prev (CurrentDesk CurrentPage !Iconic) RaiseFocus

AddToFunc last_active "I" \ 
 Prev (CurrentDesk CurrentPage CirculateHit FvwmButtons) FlipFocus
+ "I" Prev (CurrentDesk CurrentPage !Iconic) FlipFocus

AddToFunc scroll_rt     "I"     Scroll  100     0
+                       "I"     Function        last_active

AddToFunc scroll_lt     "I"     Scroll  -100    0
+                       "I"     Function        last_active

AddToFunc scroll_dn     "I"     Scroll  0       100
+                       "I"     Function        last_active

AddToFunc scroll_up     "I"     Scroll  0       -100
+                       "I"     Function        last_active

Key Left        A       1       scroll_lt
Key Right       A       1       scroll_rt
Key Up          A       1       scroll_up
Key Down        A       1       scroll_dn

Key Escape      A       1       WindowList \ 
 Root c c "Prev (CurrentDesk CurrentPage !iconic) RaiseFlip"

Key Tab         A       1       Function PrevFlip
Key Tab         A       S1      Function NextFlip

I'am testing this now.
It seems quite useable.

Regards

 . .  Adam Tla/lka      mailto:[email-masked]    ^v^ ^v^ ^v^
  )   System  & Network Administration Group           ~~~~~~
  -  Computer Center,  Technical University of Gdansk, Poland

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].